[weasel-commit] Source: alsa-utils=1.0.20-1

  • From: rbuilder@xxxxxxxxx
  • To: weasel-commit@xxxxxxxxxxxxx
  • Date: Fri, 15 Jan 2010 12:19:15 -0500

================================
alsa-utils:source=1.0.20-1 (previous: 1.0.19-1)
cvc rdiff alsa-utils -1 /weasel.rpath.org@wgl:3-devel/1.0.20-1
================================
1.0.20-1 Filip Brcic (brcha@xxxxxxx) Fri Jan 15 12:19:00 2010
    version bump + metadata

alsa-utils-1.0.20.tar.bz2: new
alsasound.initd-r4: new
--- /dev/null
+++ alsasound.initd-r4
@@ -0,0 +218 @@
+#!/sbin/runscript
+# $Header: 
/var/cvsroot/gentoo-x86/media-sound/alsa-utils/files/alsasound.initd-r4,v 1.1 
2009/08/02 11:27:26 ssuominen Exp $
+# Copyright 2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+alsastatedir=/var/lib/alsa
+alsascrdir=/etc/alsa.d
+
+opts="save restore"
+
+depend() {
+       need localmount
+       after bootmisc modules isapnp coldplug hotplug
+}
+
+load_modules() {
+       # List of drivers for each card.
+       local DRIVERS="$(modprobe -c | sed -n -e 's/^alias 
\(snd-card-[[:digit:]]\+\) .*/\1/p')"
+
+       # Fall back on the automated aliases if we don't have ALSA configured 
properly...
+       if [ -z "${DRIVERS}" ] && \
+       ( [ ! -r /proc/asound/cards ] || grep -q ' no soundcards ' 
/proc/asound/cards 2>/dev/null ) ; then
+               ewarn "Could not detect custom ALSA settings.  Loading all 
detected alsa drivers."
+               DRIVERS="$(modprobe -c | sed -n -e '/^alias pci:.* snd.*/ 
s/^alias pci:[^ ]* \(.*\)/\1/p' | sort | uniq)"
+               if [ -z "${DRIVERS}" ] ; then
+                       eerror "Unable to find any ALSA drivers. Have you 
compiled alsa-drivers correctly?"
+               fi
+       fi
+
+       if [ "${ENABLE_OSS_EMUL}" = "yes" ] ; then
+               DRIVERS="${DRIVERS} $(modprobe -l | sed -n -e '/snd.*oss/ 
s:.*\/\([[:alnum:]_-]\+\).ko:\1:p')"
+       fi
+
+       # We want to ensure snd-seq is loaded as it is needed for things like
+       # timidity even if we don't use a real sequencer.
+       DRIVERS="${DRIVERS} $(modprobe -l | sed -n -e '/snd.seq\./ 
s:.*\/\([[:alnum:]_-]\+\).ko:\1:p')"
+
+       # We want to ensure snd-ioctl32 is loaded as it is needed for 32bit
+       # compatibility
+       DRIVERS="${DRIVERS} $(modprobe -l | sed -n -e '/snd.ioctl32\./ 
s:.*\/\([[:alnum:]_-]\+\).ko:\1:p')"
+
+       local DRIVER= DMOD=
+       for DRIVER in ${DRIVERS} ; do
+               [ "${DRIVER}" = "off" ] && continue
+               DMOD="$(echo "${DRIVER}" | sed -e 's/-/_/g')"
+               if ! grep -q "^${DMOD} " /proc/modules ; then
+                       ebegin "Loading: ${DRIVER}"
+                       modprobe ${DRIVER}
+                       eend $?
+               fi
+       done
+
+       if [ -f /proc/asound/seq/drivers ] ; then
+               local SEQUENCERS="$(sed -n -e 's/\([^,]*\),empty,.*/\1/p' 
/proc/asound/seq/drivers)"
+               local SEQUENCER
+               for SEQUENCER in ${SEQUENCERS} ; do
+                       DMOD="$(echo "${SEQUENCER}" | sed -e 's/-/_/g')"
+                       if ! grep -q "^${DMOD} " /proc/modules ; then
+                               ebegin "Loading: ${SEQUENCER}"
+                               modprobe ${SEQUENCER}
+                               eend $?
+                       fi
+               done
+       fi
+
+       for DRIVER in ${DRIVERS}
+       do
+               local TMP=${DRIVER##snd-}
+               TMP=${TMP##snd_}
+               if [ -x "${alsascrdir}/${TMP}" ] ; then
+                       ebegin "Running: ${alsascrdir}/${TMP}"
+                       "${alsascrdir}/${TMP}"
+                       eend $?
+               fi
+       done
+
+       if [ ! -d /proc/asound ] || grep -q ' no soundcards ' 
/proc/asound/cards ; then
+               eerror "ERROR: Failed to load necessary drivers"
+               return 1
+       fi
+}
+
+unload_modules_24() {
+       local LOADED_MODULES="$(lsmod | sed -n -e 's/^\(snd[^ ]*\) .*/\1/p')"
+       local MODULE
+       for MODULE in ${LOADED_MODULES} ; do
+           rmmod "${MODULE}"
+       done
+       rmmod soundcore 2>/dev/null
+       rmmod gameport 2>/dev/null
+
+       lsmod | grep -vq '^snd'
+}
+
+unload_modules_recursive() {
+       local revdeps="$(lsmod | sed -n -e "s/,/ /g" -e "s/^$1 *[0-9]* *[0-9]* 
\(.*\)/\1/p")"
+
+       for module in ${revdeps} ; do
+               unload_modules_recursive "${module}"
+       done
+
+       vebegin "Unloading: $1"
+       rmmod --wait "$1"
+       veend $?
+}
+
+unload_modules_26() {
+       # First of all, remove the snd module and all the modules depending
+       # on it, this should remove already most of ALSA modules.
+       lsmod | grep -q "^snd[[:space:]]" && unload_modules_recursive snd
+
+       # Then find the remaining ones, and handle them too.
+       for module in $(lsmod | sed -n -e 's/^\(snd[^ ]*\) .*/\1/p'); do
+               unload_modules_recursive "${module}"
+       done
+
+       lsmod | grep -vq "^snd"
+}
+
+terminate() {
+       #
+       # Kill processes holding open sound devices
+       #
+       # DEVS=`find /dev/ -follow -type c -maxdepth 1 -print 2>/dev/null | 
xargs ls -dils | grep "1*1[46]," | cut -d: -f2 | cut -d" " -f2; echo 
/proc/asound/dev/*`
+       local ossdevs="/dev/admmidi* /dev/adsp* /dev/amidi* /dev/audio* 
/dev/dmfm* \
+                       /dev/dmmidi* /dev/dsp* /dev/dspW* /dev/midi0* 
/dev/mixer* /dev/music \
+                       /dev/patmgr* /dev/sequencer* /dev/sndstat"
+       local alsadevs="/proc/asound/dev/* /dev/sound/* /dev/snd/*"
+       fuser -k ${ossdevs} ${alsadevs} >/dev/null 2>/dev/null
+
+       # remove all sequencer connections if any
+       [ -f /proc/asound/seq/clients ] && type aconnect >/dev/null 2>/dev/null 
&& aconnect --removeall
+}
+
+restore() {
+       ebegin "Restoring Mixer Levels"
+
+       if [ ! -r "${alsastatedir}/asound.state" ] ; then
+               ewarn "No mixer config in ${alsastatedir}/asound.state, you 
have to unmute your card!"
+               eend 0
+               return 0
+       fi
+
+       local cards="$(sed -n -e 's/ *\([[:digit:]]*\) .*/\1/p' 
/proc/asound/cards)"
+       local CARDNUM
+       for cardnum in ${cards}; do
+               [ -e /dev/snd/controlC${cardnum} ] || sleep 2
+               [ -e /dev/snd/controlC${cardnum} ] || sleep 2
+               [ -e /dev/snd/controlC${cardnum} ] || sleep 2
+               [ -e /dev/snd/controlC${cardnum} ] || sleep 2
+               alsactl -f "${alsastatedir}/asound.state" restore ${cardnum} \
+                       || ewarn "Errors while restoring defaults, ignoring"
+       done
+
+       for ossfile in "${alsastatedir}"/oss/card*_pcm* ; do
+               [ -e "${ossfile}" ] || continue
+               # We use cat because I'm not sure if cp works properly on /proc
+               local procfile=${ossfile##${alsastatedir}/oss}
+               procfile="$(echo "${procfile}" | sed -e 's,_,/,g')"
+               if [ -e /proc/asound/"${procfile}"/oss ] ; then
+                   cat "${ossfile}" > /proc/asound/"${procfile}"/oss 
+               fi
+       done
+
+       eend 0
+}
+
+save() {
+       ebegin "Storing ALSA Mixer Levels"
+
+       mkdir -p "${alsastatedir}"
+       if ! alsactl -f "${alsastatedir}/asound.state" store; then
+               eerror "Error saving levels."
+               eend 1
+               return 1
+       fi
+
+       for ossfile in /proc/asound/card*/pcm*/oss; do
+               [ -e "${ossfile}" ] || continue
+               local device=${ossfile##/proc/asound/} ; device=${device%%/oss}
+               device="$(echo "${device}" | sed -e 's,/,_,g')"
+               mkdir -p "${alsastatedir}/oss/"
+               cp "${ossfile}" "${alsastatedir}/oss/${device}"
+       done
+
+       eend 0
+}
+
+start() {
+       if [ -f /proc/modules ] && [ "${LOAD_ON_START}" = "yes" ]; then
+               ebegin "Loading ALSA modules"
+               eindent
+               load_modules
+               eoutdent
+               eend $? || return 1
+       fi
+
+       if [ ! -d /proc/asound ]; then
+               eerror "ALSA failed to load."
+               eend 1
+               return 1
+       elif [ "${RESTORE_ON_START}" = "yes" ]; then
+               restore
+       fi
+
+       return 0
+}
+
+stop() {
+       if [ ! -d /proc/asound ] ; then
+               eerror "ALSA is not loaded"
+               return 0
+       fi
+
+       [ "${SAVE_ON_STOP}" = "yes" ] && save
+
+       return 0
+}

alsa-utils-1.0.20-modprobe.d.patch: new
--- /dev/null
+++ alsa-utils-1.0.20-modprobe.d.patch
@@ -0,0 +12 @@
+diff -ur alsa-utils-1.0.20.orig/alsaconf/alsaconf.in 
alsa-utils-1.0.20/alsaconf/alsaconf.in
+--- alsa-utils-1.0.20.orig/alsaconf/alsaconf.in        2009-05-06 
10:07:24.000000000 +0300
++++ alsa-utils-1.0.20/alsaconf/alsaconf.in     2009-08-04 12:36:38.000000000 
+0300
+@@ -301,7 +301,7 @@
+   fi
+ else
+ if [ "$distribution" = "gentoo" ]; then
+-  cfgfile="/etc/modules.d/alsa"
++  cfgfile="/etc/modprobe.d/alsa.conf"
+ elif [ "$kernel" = "new" ]; then
+   cfgfile="/etc/modprobe.conf"
+   if [ -d /etc/modprobe.d ]; then

alsa-utils-1.0.20-init_default.patch: new
--- /dev/null
+++ alsa-utils-1.0.20-init_default.patch
@@ -0,0 +12 @@
+diff -ur alsa-utils-1.0.20.orig/alsactl/init/default 
alsa-utils-1.0.20/alsactl/init/default
+--- alsa-utils-1.0.20.orig/alsactl/init/default        2009-05-06 
10:07:24.000000000 +0300
++++ alsa-utils-1.0.20/alsactl/init/default     2009-08-17 22:29:46.000000000 
+0300
+@@ -49,7 +49,7 @@
+ CTL{name}="Headphone Playback 
Volume",PROGRAM=="__ctl_search",GOTO="headphone0_end"
+ # if master volume control is present, turn headphone volume to max
+ 
ENV{has_pmaster_vol}=="true",CTL{values}="0dB",RESULT=="0",GOTO="headphone0_end"
+-ENV{has_pmaster_vol}=="true",CTL{values)="100%",GOTO="headphone0_end"
++ENV{has_pmaster_vol}=="true",CTL{values}="100%",GOTO="headphone0_end"
+ CTL{values}="$env{pvolume}",RESULT!="0",CTL{values}="$env{ppercent}"
+ LABEL="headphone0_end"
+ CTL{name}="Headphone Playback Switch",PROGRAM=="__ctl_search", \

alsa-utils.recipe: changed
Index: alsa-utils.recipe
====================================================================
contents(size sha1)
inode(mtime)
--- alsa-utils.recipe /weasel.rpath.org@wgl:3-devel/1.0.19-1
+++ alsa-utils.recipe /weasel.rpath.org@wgl:3-devel/1.0.20-1
@@ -1,26 +1,48 @@
 #
 # Copyright (c) 2004-2006 rPath, Inc.
+# Copyright (c) 2009-2010 Weasel GNU/Linux
 # This file is distributed under the terms of the MIT License.
 # A copy is available at http://www.rpath.com/permanent/mit-license.html
 #
 
 class AlsaUtils(AutoPackageRecipe):
     name = 'alsa-utils'
-    version = '1.0.19'
+    version = '1.0.20'
 
     buildRequires = [
         'alsa-lib:devel', 'ncurses:devel', 'gettext:runtime', 
'intltool:runtime',
         ]
 
+    shortDesc  = 'ALSA utilities'
+    longDesc   = """
+Advanced Linux Sound Architecture Utils (alsactl, alsamixer, etc.)
+"""
+    url        = 'http://www.alsa-project.org/'
+    licenses   = [ 'GPL-2' ]
+    categories = [ 'Media/Sound' ]
+
     def unpack(r):
-        r.addArchive('ftp://ftp.alsa-project.org/pub/utils/')
+        r.addArchive('mirror://alsaproject/utils/')
+        r.addPatch('alsa-utils-1.0.20-modprobe.d.patch')
+        r.addPatch('alsa-utils-1.0.20-init_default.patch')
+
+    def configure(r):
+        r.Configure(
+            ' --enable-nls'
+            ' --disable-xmlto' # reenable is xmlto is built
+            )
 
     def policy(r):
-        r.addSource('alsasound.initd', dest='%(initdir)s/alsasound', mode=0755)
+        r.addSource('alsasound.initd-r4',
+                    dest='%(initdir)s/alsasound',
+                    mode=0755)
         r.TagSpec('initscript-boot', '%(initdir)s/alsasound')
-        r.addSource('alsasound.confd', dest='%(sysconfdir)s/conf.d/alsasound')
+        r.addSource('alsasound.confd-r3',
+                    dest='%(sysconfdir)s/conf.d/alsasound')
+
         r.addSource('alsa-modules.conf-rc',
                     dest='%(sysconfdir)s/modprobe.d/alsa.conf')
+
         r.MakeDirs('%(localstatedir)s/lib/alsa')
         r.ExcludeDirectories(exceptions='%(localstatedir)s/lib/alsa')
         


alsasound.confd-r3: new
--- /dev/null
+++ alsasound.confd-r3
@@ -0,0 +31 @@
+# ENABLE_OSS_EMUL:
+# Do you want to enable in-kernel oss emulation?
+# no - Do not load oss emul drivers
+# yes - Load oss emul drivers if they're found
+
+ENABLE_OSS_EMUL="yes"
+
+# RESTORE_ON_START:
+# Do you want to restore your mixer settings?  If not, your cards will be
+# muted.
+# no - Do not restore state
+# yes - Restore state
+
+RESTORE_ON_START="yes"
+
+# SAVE_ON_STOP:
+# Do you want to save changes made to your mixer volumes when alsasound
+# stops? 
+# no - Do not save state
+# yes - Save state
+
+SAVE_ON_STOP="yes"
+
+# LOAD_ON_START:
+# Do you want to load sound modules when alsasound starts?
+# Note: The Gentoo ALSA developers encourage you to build your sound 
+#       drivers into the kernel unless the device is hotpluggable or 
+#       you need to supply specific options (such as model= to HD-Audio).
+# no - Do not load modules
+# yes - Load modules
+LOAD_ON_START="yes"

alsasound.initd: removed
alsasound.confd: removed
alsa-utils-1.0.19.tar.bz2: removed

Committed by: brcha

Other related posts:

  • » [weasel-commit] Source: alsa-utils=1.0.20-1 - rbuilder